# Interface IDOMCompilationUnit

All Superinterfaces:
  `Cloneable, IDOMNode`

public interface IDOMCompilationUnit extends IDOMNode
Deprecated.
The JDOM was made obsolete by the addition in 2.0 of the more powerful, fine-grained DOM/AST API found in the org.eclipse.jdt.core.dom package.
Represents a Java compilation unit (source file with one of the `Java-like extensions`). The corresponding syntactic unit is CompilationUnit (JLS2 7.3). Allowable child types for a compilation unit are `IDOMPackage`, `IDOMImport`, and `IDOMType`.

Restriction:
  This interface is not intended to be implemented by clients.

## Field Summary

### Fields inherited from interface IDOMNode

`COMPILATION_UNIT, FIELD, IMPORT, INITIALIZER, METHOD, PACKAGE, TYPE`

## Method Summary

Modifier and Type
Method
Description
`String`
`getHeader()`
Deprecated.
Returns the header comment for this compilation unit.
`String`
`getName()`
Deprecated.
The `IDOMCompilationNode` refinement of this `IDOMNode` method returns the name of this compilation unit.
`void`
`setHeader(String comment)`
Deprecated.
Sets the header comment for this compilation unit.
`void`
`setName(String name)`
Deprecated.
The `IDOMCompilationNode` refinement of this `IDOMNode` method has no effect (the name is computed from the types declared within it).

### Methods inherited from interface IDOMNode

`addChild, canHaveChildren, clone, getCharacters, getChild, getChildren, getContents, getFirstChild, getJavaElement, getNextNode, getNodeType, getParent, getPreviousNode, insertSibling, isAllowableChild, isSignatureEqual, remove`

## Method Details

### getHeader

String getHeader()
Deprecated.
Returns the header comment for this compilation unit. The header comment appears before the first declaration in a compilation unit. The syntax for a comment corresponds to Comments (JLS2 3.7), including comment delimiters.

Returns:
  the header comment for this compilation unit, or `null` if no header comment is present

### getName

String getName()
Deprecated.
The `IDOMCompilationNode` refinement of this `IDOMNode` method returns the name of this compilation unit.

The name of a compilation unit is the name of the first top-level public type defined in the compilation unit, suffixed with one of the `Java-like extensions`. For example, if the first top-level public type defined in this compilation unit has the name "Hanoi", then name of this compilation unit is "Hanoi.java".

In the absence of a public top-level type, the name of the first top-level type is used. In the absence of any type, the name of the compilation unit is `null`.

Specified by:
  `getName` in interface `IDOMNode`
Returns:
  the name of this compilation unit, or `null` if none

### setHeader

void setHeader(String comment)
Deprecated.
Sets the header comment for this compilation unit. The header comment appears before the first declaration in a compilation unit. The syntax for a comment corresponds to Comments (JLS2 3.7), including comment delimiters.

Parameters:
  `comment` - the header comment for this compilation unit, or `null` if indicating no header comment

### setName

void setName(String name)
Deprecated.
The `IDOMCompilationNode` refinement of this `IDOMNode` method has no effect (the name is computed from the types declared within it).

Specified by:
  `setName` in interface `IDOMNode`
Parameters:
  `name` - the given name